curl -H "X-API-Key: $PARTICLE_API_KEY" \
"https://api.particle.pro/v1/podcasts/advertising/sponsors/{id}"{
"ad_count": 123,
"episode_reach": 123,
"id": "<string>",
"name": "<string>",
"podcast_reach": 123,
"company": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"domain": "<string>",
"image_mode": "AUTOMATIC",
"image_url": "<string>",
"slug": "<string>",
"ticker": "<string>"
},
"first_seen_at": "2023-11-07T05:31:56Z",
"last_seen_at": "2023-11-07T05:31:56Z"
}{
"detail": "Property foo is required but is missing.",
"error_code": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"resolve": {
"message": "<string>",
"action": "<string>",
"endpoint": "<string>",
"method": "<string>",
"url": "<string>"
},
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Get a sponsor
Returns a single advertising sponsor with activity metrics. The path parameter accepts a sponsor ID, a company ID, a company domain, or a company slug.
curl -H "X-API-Key: $PARTICLE_API_KEY" \
"https://api.particle.pro/v1/podcasts/advertising/sponsors/{id}"{
"ad_count": 123,
"episode_reach": 123,
"id": "<string>",
"name": "<string>",
"podcast_reach": 123,
"company": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"domain": "<string>",
"image_mode": "AUTOMATIC",
"image_url": "<string>",
"slug": "<string>",
"ticker": "<string>"
},
"first_seen_at": "2023-11-07T05:31:56Z",
"last_seen_at": "2023-11-07T05:31:56Z"
}{
"detail": "Property foo is required but is missing.",
"error_code": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"resolve": {
"message": "<string>",
"action": "<string>",
"endpoint": "<string>",
"method": "<string>",
"url": "<string>"
},
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Authorizations
Pass your API key in the X-API-Key header (recommended).
Path Parameters
Sponsor ID, company ID, company domain, or company slug. When a company reference matches multiple sponsor aliases, the most-recently-active sponsor is returned.
Query Parameters
Only include ads from episodes published on or after this ISO 8601 date or date-time
"2025-01-01T00:00:00Z"
Only include ads from episodes published before this ISO 8601 date or date-time
"2026-01-01T00:00:00Z"
Response
OK
Total number of ads (excluding network promos)
Number of distinct episodes featuring the sponsor
Unique identifier
Sponsor name
Number of distinct podcasts the sponsor advertises on
Linked company record
Show child attributes
Show child attributes
Earliest detected ad appearance
Most recent ad appearance
Was this page helpful?